net.sf.jasperreports.components.headertoolbar

## Class HeaderLabelUtil.HeaderLabelBuiltinExpression

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.HeaderLabelUtil.HeaderLabelBuiltinExpression

- All Implemented Interfaces:
    BuiltinExpressionEvaluator
  Enclosing class:
    HeaderLabelUtil

      public static class HeaderLabelUtil.HeaderLabelBuiltinExpression
      extends java.lang.Object
      implements BuiltinExpressionEvaluator

  private static JRTextField getProxy(final JRTextField textField, final SortOrderEnum sortOrder) { return (JRTextField)Proxy.newProxyInstance( HeaderLabelUtil.class.getClassLoader(), new Class[]{JRTextField.class}, new InvocationHandler() { public Object invoke( Object proxy, Method method, Object[] args ) throws Throwable { if ("getExpression".equals(method.getName())) { JRDesignExpression expression = new JRDesignExpression(); return Color.blue; } if ("visit".equals(method.getName())) { ((JRVisitor)args[0]).visitTextField((JRTextField)proxy); return null; } return method.invoke(textField, args); } } ); } /**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderLabelUtil.HeaderLabelBuiltinExpression(JRExpression expression, java.lang.String suffix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(DatasetExpressionEvaluator evaluator)`
    `java.lang.Object` | `evaluateEstimated(DatasetExpressionEvaluator evaluator)`
    `java.lang.Object` | `evaluateOld(DatasetExpressionEvaluator evaluator)`
    `JRExpression` | `getExpression()`
    `void` | `init(java.util.Map<java.lang.String,JRFillParameter> parametersMap, java.util.Map<java.lang.String,JRFillField> fieldsMap, java.util.Map<java.lang.String,JRFillVariable> variablesMap, WhenResourceMissingTypeEnum resourceMissingType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderLabelUtil.HeaderLabelBuiltinExpression

          public HeaderLabelUtil.HeaderLabelBuiltinExpression(JRExpression expression,
                                                      java.lang.String suffix)

  - ### Method Detail

    - #### init

          public void init(java.util.Map<java.lang.String,JRFillParameter> parametersMap,
                  java.util.Map<java.lang.String,JRFillField> fieldsMap,
                  java.util.Map<java.lang.String,JRFillVariable> variablesMap,
                  WhenResourceMissingTypeEnum resourceMissingType)
                    throws JRException

      Specified by:
        `init` in interface `BuiltinExpressionEvaluator`
      Throws:
        `JRException`

    - #### evaluate

          public java.lang.Object evaluate(DatasetExpressionEvaluator evaluator)
                                    throws JRExpressionEvalException

      Specified by:
        `evaluate` in interface `BuiltinExpressionEvaluator`
      Throws:
        `JRExpressionEvalException`

    - #### evaluateOld

          public java.lang.Object evaluateOld(DatasetExpressionEvaluator evaluator)
                                       throws JRExpressionEvalException

      Specified by:
        `evaluateOld` in interface `BuiltinExpressionEvaluator`
      Throws:
        `JRExpressionEvalException`

    - #### evaluateEstimated

          public java.lang.Object evaluateEstimated(DatasetExpressionEvaluator evaluator)
                                             throws JRExpressionEvalException

      Specified by:
        `evaluateEstimated` in interface `BuiltinExpressionEvaluator`
      Throws:
        `JRExpressionEvalException`

    - #### getExpression

          public JRExpression getExpression()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com